[Troubleshooting] Linux Spotify

Solved!

[Troubleshooting] Linux Spotify

Dreadlord

Having trouble with Spotify on your Desktop app? Here’s what to try first.

  • Search the Community

Someone might have asked your question on the Community before.
So type your issue into the search box and have a look.

  • Basic troubleshooting

Go through these steps one at a time. They can help you solve most issues on your own.


1. Clear Spotify cache
killall spotify
rm -rf $HOME/.cache/spotify/Storage

2 Check this thread for troubleshooting connection issues.

3 Ask a friend or family member to sign into Spotify on your Desktop. See if the issue is persisting on their account too. If yes, the issue is the device and can likely be solved with more troubleshooting.
4. Change settings within the app: Sync quality, Stream Quality, Gapless Playback, Crossfade. See if a different combination of these settings makes a difference.


  • Advanced troubleshooting 

1. Is spotify starting normally?

spotify

1. Can you play a sound?

aplay /usr/share/sounds/alsa/Front_Center.wav

2. Is the system recognizing your sound card?

aplay -l

3. Is Spotify running on prefered sound card? Change between sound cards in gnome/unity control center.

unity-control-center sound
gnome-control-center sound

 

4. Nothing works so far? Report your issue!

spotify >$HOME/spotify-dump.txt 2>&1

   or

 

strace spotify > $HOME/spotify-dump 2>&1
  • Report your issue

We’ll need as much information as you can provide. So filling in this template is helpful:


=== START OF TEMPLATE ===

  1. Your device and operating system:
  2. Type of Spotify account you have (Free/ Premium):
  3. The app version of Spotify you’re using:
  4. Brief description of the issue:
  5. Steps to reproduce the issue:

 

  • First I did this
  • Then I did that
  • I also did this

6. Attach the spotify-dump.txt ( $HOME/spotify-dump.txt ) from Advanced troubleshooting 4.

=== END OF TEMPLATE ===

 

Known issues : 

 

Error while loading shared libraries: libgcrypt.so.11 - fix debian / fix ubuntu.

Spotify on Linux doesn't play local mp3 files - fix.

 

Tips :

Add Spotify's testing repository:

echo deb http://repository.spotify.com testing non-free | sudo tee /etc/apt/sources.list.d/spotify.list

Install Spotify 0.9.17

sudo apt-get install spotify-client-0.9.17

  

Some information and template is taken from here.

Linux is not officialy supported by Spotify.

 

Reply
151 Replies
Marked as solution

durin

The repository information in your /etc/apt/sources.list.d/spotidy.list file isn't correct and the other commands fail because you haven't actually installed the spotify client yet.

 

Check that the /etc/apt/sources.list.d/spotify.list contais the following line

deb http://repository.spotify.com stable non-free

and then run

sudo apt-get update

to update the repository information and then

sudo apt-get install spotify-client

to actually install Spotify.

The complete installation procedure is:

# 1. Add the Spotify repository signing key to be able to verify downloaded packages
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys BBEBDCB318AD50EC6865090613B00F1FD2C19886

# 2. Add the Spotify repository
echo deb http://repository.spotify.com stable non-free | sudo tee /etc/apt/sources.list.d/spotify.list

# 3. Update list of available packages
sudo apt-get update

# 4. Install Spotify
sudo apt-get install spotify-client

 

cerebrix
  1. Your device and operating system: OS: Zorin OS 12.2 x86_64
  2. Type of Spotify account you have (Free/ Premium): Premium
  3. The app version of Spotify you’re using: Spotify version 1.0.64.407.g9bd02c2d, Copyright (c) 2017, Spotify Ltd
  4. Brief description of the issue: Startup and Window Behavior is blank as shown in the screenshot above. Also unable to minimize to tray.
  5. Steps to reproduce the issue: Start the Spotify client and go into advanced settings to adjust the minimize to tray behavior
spotify_problem.jpg

Lubuntu1510

I'm having a similar error on Lubuntu 15.10 where I can't load Spotify once it's installed. The program worked no problem for months then one day that was it. Now nothing is working and it's the only program I'm having a problem loading. I've cleaned my machine,etc [I think it's the kernel myself] and I'll need to upgrade sooner or later. 

 

Here is a video of my issue:
https://youtu.be/aHl0GQlY6S4

leezu

Starting with spotify 1.0.64 the "--force-device-scale-factor=1.5" for
hidpi displays has no effect anymore. Is there any workaround?

DavidOC

Hi,

I'm hitting an issue that occurs when running spotify in a window manager such as i3 or openbox but not in a full desktop environment, e.g. GNOME 3.26 or KDE 5.  Parts of the UI become unresponsive when a song starts playing.

 

  1. Your device and operating system: OS: Fedora 27 x86_64 - this has also occurred in Fedora 26 x86_64.
  2. Type of Spotify account you have (Free/ Premium): Premium
  3. The app version of Spotify you’re using: Spotify version 1.0.64.407.g9bd02c2d, Copyright (c) 2017, Spotify Ltd
  4. Brief description of the issue: Parts of the UI such as the media buttons, page links and progress bar become unresponsive for approx 25 seconds when a song is started or resumed playback.
    This occurs only when running under a WM but not when running under a full desktop environment.
  5. Steps to reproduce the issue: Start the Spotify client under either the i3 or openbox environments and start playing a song, then try to pause the song once playback has started or select another song.

I've included strace logs of spotify when running under i3 4.14 and when running under GNOME 3.26.

ultravio1et

with the new update from a few weeks ago i'm getting a massive memory leak while trying to use the Spotify client on Linux Mint 18 [64 bit]

its taking up over 5 gigs of memory and cripling my system

 

any ideas how i can stop this?

acith

I have problem when i install spotify in debian 9. I installed  inlibavcodec57, libssl1.0.2 .   i think if you can edit/build code please remove version in dependency list. 

 

detail

 

apt-get install spotify-client

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
spotify-client : Depends: libssl1.0.0 but it is not installable
Recommends: libavcodec54 but it is not installable or
libavcodec-extra-54 but it is not installable
Recommends: libavformat54 but it is not installable
Recommends: zenity but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Smashme

Hi, 

 

When I go to add the key I get the following error: gpg: keyserver receive failed: No keyserver available. 

 

My distro is  Xubuntu 17.10

 

Thanks for any assistance. 

osornios

Hey @Smashme

 

Check this thread out. They have updated the signing key, maybe you have an old one.

 

Hope it helps. 🙂

osorniosSpotify Star
Help others find this answer and click "Accept as Solution".
If you appreciate my answer, maybe give me a Like.
Note: I'm not a Spotify employee.

maxthoursie

This answer still works in Ubuntu 17.04

You do want to copy the shared libraries with the `-d` flag to `cp` to preserve the links, so you don't have to recreate them.

jooon

 

Spotify 1.0.69 in the testing repository now (soon stable) can dynamically load different versions of libcrypto.so (from the libssl* packages).

ultravio1et

when using Lubuntu 17.10 Spotify doesn't let me open up the 'settings' in the drop-down menu

 

any ideas?

Lorenzo_NGG

It's a bug but the developers are already aware.

decembersoul

all the other solutions didn't work for me.
spotify was unbearably slow

 

by chance I found a solution that works for me

 

LIBGL_ALWAYS_SOFTWARE=1 spotify

 

it also works with snap

LIBGL_ALWAYS_SOFTWARE=1 snap run spotify

Llucmk

Your device and operating system: XPS 13 9350 with Debian 9

Type of Spotify account you have (Free/ Premium): Premium

The app version of Spotify you’re using: 1.0.69 // 1.0.70 (both I tried).

Brief description of the issue: I recently installed Debian 9 on my laptop coming from a Fedora that gave me a lot of problems recently, including one where spotify did work sometimes but when not, said that there was no internet conection and gave me a error code: 4 (Internet worked well).

 

I installed debian 9 and the first time gave me the same error but then started working ok. Until today that there was no way to get it working again. I tried to delete the spotify cache but I ended deleting by mistake all the content from the file /.cache/spotify/ so after a restart, spotify was just trying to load but didn't load anything, the wheel of loading appeared for ever. Tried to reinstall with purge spotify-client and install spotify-client. This time I could introduce my username and password but I got loading screen again. I tried to install deb files from http://repository.spotify.com/pool/non-free/s/spotify-client/ but with both I had same results. There's no way to get it working. I tried restarting the computer a few times between installations.

Steps to reproduce the issue:

Install Spotify.

Delete entire content of folder .cache/spotify

Execute Spotify

Infinite loading screen

6. Attach the spotify-dump.txt ( $HOME/spotify-dump.txt ) from Advanced troubleshooting 4.

 

P.D: I went home and it seems it started working again. In college it appeared again the same error. (Error code 4). In my home works fine. Doesn't know what's happenning.

 

Is it normal the deb repo is behind the snap package? Is the dep repo no longer supported? The snap is at 1.0.70 but the deb repo is at 1.0.six.nine. Apparently I can't say that number...

ndrededu

Take a look HERE.

So there are 2 packages. How does one install the newer 1.0.70? sudo apt-get install spotify-client defaults to 1.0.six.nine.

durin

1.0.**bleep**.336 is in stable repository and 1.0.70.399 is in testing repository.

So first you have to add the testing repository.

 

Add the following line to file /etc/apt/sources.list.d/spotify.list

deb http://repository.spotify.com testing non-free

Then update apt with 

sudo apt-get update

Then you can install the testing version with

sudo apt-get install -t testing spotify-client

 

Suggested posts